Skip to main content
POST
/
projects
/
{projectId}
/
testtakers
Create test taker
curl --request POST \
  --url https://api.neurapulse.com/projects/{projectId}/testtakers \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "email": "<string>"
}
'
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};

fetch('https://api.neurapulse.com/projects/{projectId}/testtakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.neurapulse.com/projects/{projectId}/testtakers"

payload = { "email": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
using RestSharp;


var options = new RestClientOptions("https://api.neurapulse.com/projects/{projectId}/testtakers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"email\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectEntryId": 123,
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "birthYear": 123,
  "referenceId": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required

API key generated in the Portal (Workspace Settings → API Keys).

Path Parameters

projectId
string<uuid>
required

Project Id. Obtain via GET /projects or from the project URL.

Body

email
string
required

The email address of the test taker.

firstName
string | null

The first name of the test taker.

Maximum string length: 100
lastName
string | null

The last name of the test taker.

Maximum string length: 100
birthYear
integer<int32> | null

The birth year of the test taker.

referenceId
string | null

Your own external reference id for this test taker; echoed back on the completion webhook.

Pattern: ^[a-zA-Z0-9_\-.+@]{1,500}$

Response

Created

id
string<uuid>
projectEntryId
integer<int32>
email
string | null
firstName
string | null
lastName
string | null
birthYear
integer<int32> | null
referenceId
string | null